<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.7.12</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>

	<groupId>xit-app</groupId>
	<artifactId>fims</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<name>fims</name>
	<description>fims</description>
	<packaging>war</packaging>
	
	<properties>
		<java.version>17</java.version>
	</properties>

	<repositories>
		<repository>
			<id>maven-public</id>
			<url>https://nas.xit.co.kr:8888/repository/maven-public/</url>
		</repository>
	</repositories>

	<dependencies>
		<dependency>
			<groupId>cokr.xit.boot</groupId>
			<artifactId>xit-base-starter</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency>

		<dependency> <!-- 자망연계 -->
			<groupId>cokr.xit.interfaces</groupId>
			<artifactId>xit-lvis</artifactId>
			<version>0.0.1-SNAPSHOT</version>
		</dependency>
		<dependency> <!-- 국민신문고 -->
			<groupId>cokr.xit.interfaces</groupId>
			<artifactId>xit-smg</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency>
		<dependency> <!-- epost -->
			<groupId>cokr.xit.interfaces</groupId>
			<artifactId>xit-epost</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency>
		<dependency> <!-- 장애인 표지 조회 -->
			<groupId>cokr.xit.interfaces</groupId>
			<artifactId>xit-disabled-parking</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency>

		<dependency>
			<groupId>org.mariadb.jdbc</groupId>
			<artifactId>mariadb-java-client</artifactId>
			<scope>runtime</scope>
		</dependency>
		
		<!-- 한컴 한글 라이브러리 -->
		<dependency>
		    <groupId>kr.dogfoot</groupId>
		    <artifactId>hwplib</artifactId>
			<version>1.1.1</version>
		</dependency>
		
		<!-- PDF 라이브러리 -->
		<dependency>
		    <groupId>org.apache.pdfbox</groupId>
		    <artifactId>pdfbox</artifactId>
		    <version>3.0.0</version>
		</dependency>

	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
					<excludes>
						<exclude>
							<groupId>org.projectlombok</groupId>
							<artifactId>lombok</artifactId>
						</exclude>
					</excludes>
				</configuration>
			</plugin>
		</plugins>
	</build>

</project>